We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

Theme/Skin behavior in 9.3 vs. 9.4

Thread ID:

Created:

Updated:

Platform:

Replies:

101762 Nov 18,2011 11:26 AM Nov 22,2011 12:05 PM WPF 1
loading
Tags: Tools
Amanda Bissette
Asked On November 18, 2011 11:26 AM

I have been using the Syncfusion Theme/Skin feature for quite some time in my app. With the installation of 9.4 dlls, my skins are no longer applied the same way consistently throughout my app.

When my app opens and applies the skin to a new Window Control that I have added with content directly inside of it, the skin works fine. However if I have it applied to a UserControl that I then set as the content of a generic Window, it no longer works. None of the controls in the UserControl have the skin applied. The reason for this usage would be that the UserControl may be re-used in different places that may either be a Window or another UserControl inside of my app.

I was able to prove that something had changed with the 9.4 version by simply going back to the 9.3 without changing anything else about my app and the skin is applied no matter if I am opening a new window or a UserControl.

Any explanation for this behavior?

Thanks,
//AB


Surya Narayanan G [Syncfusion]
Replied On November 22, 2011 12:05 PM

Hi Amanda,

Thanks for using Syncfusion Products.

We have fixed the issue with the SkinManager when setting VisualStyle to UserControl and we would be updating you the patch in your Direct Trac account.

Please let me know in case of any queries.

Regards
Surya Narayana


CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;